import sys
input_data = sys.stdin.read().split('\n')

num_trees = int(input_data[0])
tree_masses = tuple(map(int, input_data[1:num_trees+1]))

num_queries = int(input_data[num_trees+1])
queries = tuple(map(lambda x: tuple(map(int, x.split(" "))), input_data[num_trees+2:]))

# print(f"trees: {tree_masses} ({num_trees})")
# print(f"queries: {num_queries} ({num_queries})")

psa = [0]

for i in range(1, num_trees+1):
    psa.append(psa[i-1] + tree_masses[i-1])

# print(psa)

for (start, end) in queries:
    # print(start, end)
    print(psa[end+1] - psa[start])